### Method

# GObject SignalGroup set_target

since: 2.72

#### Declaration [src]

    void
    g_signal_group_set_target (
      GSignalGroup* self,
      GObject* target
    )

#### Description [src]

Sets the target instance used when connecting signals. Any signal that has been registered with `g_signal_group_connect_object()` or similar functions will be connected to this object.

If the target instance was previously set, signals will be disconnected from that object prior to connecting to `target`.

Available since: 2.72

Sets property | `GObject.SignalGroup:target`

#### Parameters

`target`

  Type: `GObject`

  The target instance used when connecting signals.

  The argument can be `NULL`.
  The data is owned by the caller of the function.